# GstXmptag

Contains various utility functions for plugins to parse or create xmp packets and map them to and from GstTagLists.

Please note that the xmp parser is very lightweight and not strict at all.

## Functions

### gst_tag_list_from_xmp_buffer

    GstTagList *
    gst_tag_list_from_xmp_buffer (GstBuffer * buffer)

Parse a xmp packet into a taglist.

Parameters:

`buffer` –

buffer

Returns ( [transfer: full][nullable]) –

new taglist or NULL, free the list when done

### GstTag.prototype.tag_list_from_xmp_buffer

    function GstTag.prototype.tag_list_from_xmp_buffer(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_tag_list_from_xmp_buffer'
    }

Parse a xmp packet into a taglist.

Parameters:

`buffer` (Gst.Buffer) –

buffer

Returns (Gst.TagList) –

new taglist or null, free the list when done

### GstTag.tag_list_from_xmp_buffer

    def GstTag.tag_list_from_xmp_buffer (buffer):
        #python wrapper for 'gst_tag_list_from_xmp_buffer'

Parse a xmp packet into a taglist.

Parameters:

`buffer` (Gst.Buffer) –

buffer

Returns (Gst.TagList) –

new taglist or None, free the list when done

### gst_tag_list_to_xmp_buffer

    GstBuffer *
    gst_tag_list_to_xmp_buffer (const GstTagList * list,
                                gboolean read_only,
                                const gchar ** schemas)

Formats a taglist as a xmp packet using only the selected schemas. An empty list (%NULL) means that all schemas should be used

Parameters:

`list` –

tags

`read_only` –

does the container forbid inplace editing

`schemas` –

(array zero-terminated=1): NULL terminated array of schemas to be used on serialization

Returns ( [transfer: full][nullable]) –

new buffer or NULL, unref the buffer when done

### GstTag.prototype.tag_list_to_xmp_buffer

    function GstTag.prototype.tag_list_to_xmp_buffer(list: Gst.TagList, read_only: Number, schemas: [ String ]): {
        // javascript wrapper for 'gst_tag_list_to_xmp_buffer'
    }

Formats a taglist as a xmp packet using only the selected schemas. An empty list (%NULL) means that all schemas should be used

Parameters:

`list` (Gst.TagList) –

tags

`read_only` (Number) –

does the container forbid inplace editing

`schemas` ([ String ]) –

(array zero-terminated=1): null terminated array of schemas to be used on serialization

Returns (Gst.Buffer) –

new buffer or null, unref the buffer when done

### GstTag.tag_list_to_xmp_buffer

    def GstTag.tag_list_to_xmp_buffer (list, read_only, schemas):
        #python wrapper for 'gst_tag_list_to_xmp_buffer'

Formats a taglist as a xmp packet using only the selected schemas. An empty list (%NULL) means that all schemas should be used

Parameters:

`list` (Gst.TagList) –

tags

`read_only` (bool) –

does the container forbid inplace editing

`schemas` ([ str ]) –

(array zero-terminated=1): None terminated array of schemas to be used on serialization

Returns (Gst.Buffer) –

new buffer or None, unref the buffer when done

### gst_tag_xmp_list_schemas

    const gchar **
    gst_tag_xmp_list_schemas ()

Gets the list of supported schemas in the xmp lib

Returns ( [transfer: none][array zero-terminated=1]) –

a NULL terminated array of strings with the schema names

### GstTag.prototype.tag_xmp_list_schemas

    function GstTag.prototype.tag_xmp_list_schemas(): {
        // javascript wrapper for 'gst_tag_xmp_list_schemas'
    }

Gets the list of supported schemas in the xmp lib

Returns ([ String ]) –

a null terminated array of strings with the schema names

### GstTag.tag_xmp_list_schemas

    def GstTag.tag_xmp_list_schemas ():
        #python wrapper for 'gst_tag_xmp_list_schemas'

Gets the list of supported schemas in the xmp lib

Returns ([ str ]) –

a None terminated array of strings with the schema names

The results of the search are